Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.relational
Class TupleTS

    java.lang.Object
      unity.relational.Tuple
          unity.relational.TupleTS

    public class TupleTS

extends Tuple

Constructor Summary
`TupleTS(java.lang.Object[] vals, Relation r, int TS)`
`TupleTS(Relation r, int TS)`
`TupleTS(Tuple t, int TS)`
`TupleTS(TupleTS t)`

Method Summary
`int` | `getTimestamp()`
`void` | `negateTimestamp()`
`boolean` | `read(java.io.BufferedInputStream in)`
`void` | `setTimestamp(int TS)`
`java.lang.String` | `toString()`
`void` | `write(java.io.BufferedOutputStream out)`

Methods inherited from class unity.relational.Tuple
`addField, filterValues, getInt, getObject, getRelation, getString, getValues, getValuesCopy, isNull, numValues, read, readText, setValue, setValues, write, writeText`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TupleTS

    public TupleTS(Relation r,
                   int TS)

### TupleTS

    public TupleTS(java.lang.Object[] vals,
                   Relation r,
                   int TS)

### TupleTS

    public TupleTS(Tuple t,
                   int TS)

### TupleTS

    public TupleTS(TupleTS t)

Method Detail

### getTimestamp

    public int getTimestamp()

### setTimestamp

    public void setTimestamp(int TS)

### negateTimestamp

    public void negateTimestamp()

### read

    public boolean read(java.io.BufferedInputStream in)
                 throws java.io.IOException

  Overrides:
    `read` in class `Tuple`
  Throws:
    `java.io.IOException`

### write

    public void write(java.io.BufferedOutputStream out)
               throws java.io.IOException

  Overrides:
    `write` in class `Tuple`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Tuple`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD